package entity

import "Lee-WineList/common/types"

type Material struct {
	types.BaseDbModel
	Name   string `gorm:"column:name;type:varchar(255);comment:材料名;NOT NULL" json:"name"`
	ML     string `gorm:"column:ml;type:int(11) unsigned;comment:毫升;NOT NULL" json:"ml"`
	WindId int    `gorm:"column:wine_id;type:int(11) unsigned;comment:酒ID;NOT NULL" json:"wine_id"`
}

func (Material) TableName() string {
	return "materials"
}
